## python-gevent 1.1~b1

=== libev/Makefile ===
# Makefile.in generated by automake 1.14.1 from Makefile.am.
# Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2013 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.





am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/libev
pkgincludedir = $(includedir)/libev
pkglibdir = $(libdir)/libev
pkglibexecdir = $(libexecdir)/libev
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-apple-darwin14.4.0
host_triplet = x86_64-apple-darwin14.4.0
subdir = .
DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am \
	$(top_srcdir)/configure $(am__configure_deps) \
	$(srcdir)/config.h.in mkinstalldirs depcomp $(include_HEADERS) \
	README compile config.guess config.sub install-sh missing \
	ltmain.sh
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/libev.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
 configure.lineno config.status.lineno
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__uninstall_files_from_dir = { \
  test -z "$$files" \
    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
         $(am__cd) "$$dir" && rm -f $$files; }; \
  }
am__installdirs = "$(DESTDIR)$(libdir)" "$(DESTDIR)$(man3dir)" \
	"$(DESTDIR)$(includedir)"
LTLIBRARIES = $(lib_LTLIBRARIES)
libev_la_LIBADD =
am_libev_la_OBJECTS = ev.lo event.lo
libev_la_OBJECTS = $(am_libev_la_OBJECTS)
AM_V_lt = $(am__v_lt_$(V))
am__v_lt_ = $(am__v_lt_$(AM_DEFAULT_VERBOSITY))
am__v_lt_0 = --silent
am__v_lt_1 = 
libev_la_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(libev_la_LDFLAGS) $(LDFLAGS) -o $@
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
DEFAULT_INCLUDES = -I.
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
am__mv = mv -f
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CFLAGS) $(CFLAGS)
AM_V_CC = $(am__v_CC_$(V))
am__v_CC_ = $(am__v_CC_$(AM_DEFAULT_VERBOSITY))
am__v_CC_0 = @echo "  CC      " $@;
am__v_CC_1 = 
CCLD = $(CC)
LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
AM_V_CCLD = $(am__v_CCLD_$(V))
am__v_CCLD_ = $(am__v_CCLD_$(AM_DEFAULT_VERBOSITY))
am__v_CCLD_0 = @echo "  CCLD    " $@;
am__v_CCLD_1 = 
SOURCES = $(libev_la_SOURCES)
DIST_SOURCES = $(libev_la_SOURCES)
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
man3dir = $(mandir)/man3
NROFF = nroff
MANS = $(man_MANS)
HEADERS = $(include_HEADERS)
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) \
	$(LISP)config.h.in
# Read a list of newline-separated strings from the standard input,
# and print each of them once, without duplicates.  Input order is
# *not* preserved.
am__uniquify_input = $(AWK) '\
  BEGIN { nonempty = 0; } \
  { items[$$0] = 1; nonempty = 1; } \
  END { if (nonempty) { for (i in items) print i; }; } \
'
# Make sure the list of sources is unique.  This is necessary because,
# e.g., the same source file might be shared among _SOURCES variables
# for different programs/libraries.
am__define_uniq_tagged_files = \
  list='$(am__tagged_files)'; \
  unique=`for i in $$list; do \
    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  done | $(am__uniquify_input)`
ETAGS = etags
CTAGS = ctags
CSCOPE = cscope
AM_RECURSIVE_TARGETS = cscope
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
distdir = $(PACKAGE)-$(VERSION)
top_distdir = $(distdir)
am__remove_distdir = \
  if test -d "$(distdir)"; then \
    find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
      && rm -rf "$(distdir)" \
      || { sleep 5 && rm -rf "$(distdir)"; }; \
  else :; fi
am__post_remove_distdir = $(am__remove_distdir)
DIST_ARCHIVES = $(distdir).tar.gz
GZIP_ENV = --best
DIST_TARGETS = dist-gzip
distuninstallcheck_listfiles = find . -type f -print
am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
  | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
distcleancheck_listfiles = find . -type f -print
ACLOCAL = ${SHELL} /private/tmp/gevent/libev/missing aclocal-1.14
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 1
AR = ar
AUTOCONF = ${SHELL} /private/tmp/gevent/libev/missing autoconf
AUTOHEADER = ${SHELL} /private/tmp/gevent/libev/missing autoheader
AUTOMAKE = ${SHELL} /private/tmp/gevent/libev/missing automake-1.14
AWK = gawk
CC = gcc
CCDEPMODE = depmode=none
CFLAGS = -O3 -pipe -ffast-math -msse -msse2 -msse3 -fomit-frame-pointer
CPP = gcc -E
CPPFLAGS = -I/opt/local/include -U__llvm__
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DLLTOOL = false
DSYMUTIL = dsymutil
DUMPBIN = 
ECHO_C = \c
ECHO_N = 
ECHO_T = 
EGREP = /opt/local/bin/grep -E
EXEEXT = 
FGREP = /opt/local/bin/grep -F
GREP = /opt/local/bin/grep
INSTALL = /opt/local/bin/ginstall -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LD = /Applications/Xcode.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/bin/ld
LDFLAGS = -L/opt/local/lib
LIBOBJS = 
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIPO = lipo
LN_S = ln -s
LTLIBOBJS = 
MAINT = #
MAKEINFO = ${SHELL} /private/tmp/gevent/libev/missing makeinfo
MANIFEST_TOOL = :
MKDIR_P = /opt/local/bin/gmkdir -p
NM = /opt/local/bin/nm
NMEDIT = nmedit
OBJDUMP = false
OBJEXT = o
OTOOL = otool
OTOOL64 = :
PACKAGE = libev
PACKAGE_BUGREPORT = 
PACKAGE_NAME = 
PACKAGE_STRING = 
PACKAGE_TARNAME = 
PACKAGE_URL = 
PACKAGE_VERSION = 
PATH_SEPARATOR = :
RANLIB = ranlib
SED = /opt/local/bin/gsed
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
VERSION = 4.20
abs_builddir = /private/tmp/gevent/libev
abs_srcdir = /private/tmp/gevent/libev
abs_top_builddir = /private/tmp/gevent/libev
abs_top_srcdir = /private/tmp/gevent/libev
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = $${TAR-tar} chof - "$$tardir"
am__untar = $${TAR-tar} xf -
bindir = ${exec_prefix}/bin
build = x86_64-apple-darwin14.4.0
build_alias = 
build_cpu = x86_64
build_os = darwin14.4.0
build_vendor = apple
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = x86_64-apple-darwin14.4.0
host_alias = 
host_cpu = x86_64
host_os = darwin14.4.0
host_vendor = apple
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /private/tmp/gevent/libev/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = $(MKDIR_P)
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = 
top_builddir = .
top_srcdir = .
AUTOMAKE_OPTIONS = foreign
VERSION_INFO = 4:0:0
EXTRA_DIST = LICENSE Changes libev.m4 autogen.sh \
	     ev_vars.h ev_wrap.h \
	     ev_epoll.c ev_select.c ev_poll.c ev_kqueue.c ev_port.c ev_win32.c \
	     ev.3 ev.pod Symbols.ev Symbols.event

man_MANS = ev.3
include_HEADERS = ev.h ev++.h event.h
lib_LTLIBRARIES = libev.la
libev_la_SOURCES = ev.c event.c
libev_la_LDFLAGS = -version-info $(VERSION_INFO)
all: config.h
	$(MAKE) $(AM_MAKEFLAGS) all-am

.SUFFIXES:
.SUFFIXES: .c .lo .o .obj
am--refresh: Makefile
	@:
$(srcdir)/Makefile.in: # $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
	      $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --foreign Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \

## python-gevent 0.12.2

=== debian/changelog ===
python-gevent (0.12.2-7) testing-proposed-updates; urgency=low

  * Fixed a build problem with sphinx generation when no internet connection
    where available. Thanks to Jakub Wilk for reporting the problem and
    John Sullivan for patch (Closes: #584380).
  * Fixed documentation reference problems. Thanks to John Sullivan for patch.

 -- Örjan Persson <orange@fobie.net>  Mon, 06 Sep 2010 20:39:02 +0200

python-gevent (0.12.2-6) unstable; urgency=low

  * Added missing set_exc_info function. Thanks to Chris Lamb for the
    bug report (Closes: #585977).
  * Cython is now used to re-generate the core files. Needed due to the
    exc_info-leak patch.

 -- Örjan Persson <orange@fobie.net>  Wed, 16 Jun 2010 09:14:51 +0200

python-gevent (0.12.2-5) unstable; urgency=low

  * Added 002-exc_info-leak patch to workaround a problem where exceptions in
    greenlets under some circumstanes would leak.

 -- Örjan Persson <orange@fobie.net>  Sun, 06 Jun 2010 14:49:27 +0200

python-gevent (0.12.2-4) unstable; urgency=low

  * Moved python-sphinx to build-depends instead of indep.

 -- Örjan Persson <orange@fobie.net>  Mon, 31 May 2010 21:13:54 +0200

python-gevent (0.12.2-3) unstable; urgency=low

  * Updated copyright information.

 -- Örjan Persson <orange@fobie.net>  Tue, 20 Apr 2010 19:57:18 +0200

python-gevent (0.12.2-2) unstable; urgency=low

  * Added optional dependency for python-codespeak-lib instead of
    the newer python-greenlet.

 -- Örjan Persson <orange@fobie.net>  Tue, 06 Apr 2010 23:31:33 +0200

python-gevent (0.12.2-1) unstable; urgency=low

  * Initial release (Closes: #576437).

 -- Örjan Persson <orange@fobie.net>  Sun, 04 Apr 2010 18:47:51 +0200

=== debian/control ===
Source: python-gevent
Priority: extra
Maintainer: Örjan Persson <orange@fobie.net>
Uploaders: Andreas Schuldei <andreas@debian.org>
Build-Depends: debhelper (>= 7.0.50), python-support, python-all-dev, libevent-dev (>= 1.4),
               python-greenlet | python-codespeak-lib (<< 1.0), python-sphinx (>= 0.6),
               cython (>= 0.12)
Standards-Version: 3.8.4
Section: python
Homepage: http://www.gevent.org/

Package: python-gevent-dbg
Section: debug
Architecture: any
Depends: ${misc:Depends}, python-gevent (= ${binary:Version})
Description: gevent is a coroutine-based Python networking library - debugging symbols
 gevent uses greenlet to provide a high-level synchronous API on top of
 libevent event loop.
 .
 This is the debugging symbols for gevent.

Package: python-gevent-doc
Section: doc
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Priority: optional
Description: gevent is a coroutine-based Python networking library - documentation
 gevent uses greenlet to provide a high-level synchronous API on top of
 libevent event loop.
 .
 This is the documentation for gevent.

Package: python-gevent
Section: python
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-greenlet | python-codespeak-lib (<< 1.0)
Suggests: python-gevent-doc, python-gevent-dbg, python-openssl
Description: gevent is a coroutine-based Python networking library
 gevent uses greenlet to provide a high-level synchronous API on top of
 libevent event loop.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh  $@

override_dh_auto_build:
	cython gevent/*.pyx
	dh_auto_build
	PYTHONPATH=.. make --directory doc/ html

override_dh_auto_clean:
	dh_auto_clean
	rm -f gevent/*.so
	rm -f doc/changelog.rst
	rm -rf doc/_build

override_dh_strip:
	dh_strip --dbg-package=python-gevent-dbg

override_dh_installdocs:
	dh_installdocs --link-doc=python-gevent

.PHONY: override_dh_auto_build override_dh_auto_clean override_dh_strip override_dh_installdocs

## python-gevent 0.13.0

=== debian/changelog ===
python-gevent (0.13.0-1build2) oneiric; urgency=low

  * No change rebuild against new libevent. 

 -- Bhavani Shankar <bhavi@ubuntu.com>  Sun, 10 Jul 2011 22:59:08 +0530

python-gevent (0.13.0-1build1) natty; urgency=low

  * Rebuild to add support for python 2.7.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 03 Dec 2010 00:10:42 +0000

python-gevent (0.13.0-1) unstable; urgency=low

  * New upstream version (Closes: #589268).
  * Removed cython dependency.
  * Updated doc package and depends on libjs-jquery.
  * Added support for sphinx 1.0b1 (Closes: #588628).

 -- Örjan Persson <orange@fobie.net>  Thu, 22 Jul 2010 12:09:58 +0200

## python-gevent 0.13.6

=== debian/changelog ===
python-gevent (0.13.6-1+nmu3) testing-proposed-updates; urgency=low

  * Non-maintainer upload.

  [ Jaroen Dekkers ]
  * Install egg file again. Fixes regression from 0.13.6-1+nmu2. (Closes:
    #703187)

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 22 Mar 2013 15:36:16 +0100

python-gevent (0.13.6-1+nmu2) unstable; urgency=low

  * Non-maintainer upload.
  * debian/control:
    - Add python-all-dbg to Build-Depends to build extensions modules for
      debug variants too. (Closes: #661342)
    - Add ${python:Depends}, ${shlibs:Depends}, python-greenlet-dbg to
      python-gevent-dbg's Depends.
  * debian/rules: Install debugging symbols into the correct location so that
    they are actually usable.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 03 Mar 2013 15:46:09 +0100

python-gevent (0.13.6-1+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix IPV6 DNS handling (closes: #690851)
    - Patch thanks to Mike Gabriel.

 -- Michael Gilbert <mgilbert@debian.org>  Mon, 12 Nov 2012 22:07:15 +0000

python-gevent (0.13.6-1) unstable; urgency=low

  * New upstream version (Closes: #601863).

 -- Örjan Persson <orange@fobie.net>  Tue, 17 May 2011 16:43:20 +0200

python-gevent (0.13.0-2) unstable; urgency=low

  * Include changes from squeeze version (0.12.2-7).

 -- Örjan Persson <orange@fobie.net>  Fri, 10 Sep 2010 09:59:05 +0200

python-gevent (0.12.2-7) unstable; urgency=low

  * Fixed a build problem with sphinx generation when no internet connection
    where available. Thanks to Jakub Wilk for reporting the problem and
    John Sullivan for patch (Closes: #584380).
  * Fixed documentation reference problems. Thanks to John Sullivan for patch.

 -- Örjan Persson <orange@fobie.net>  Mon, 06 Sep 2010 20:39:02 +0200

=== debian/control ===
--- 
+++ 
@@ -4,15 +4,16 @@
 Uploaders: Andreas Schuldei <andreas@debian.org>
 Build-Depends: debhelper (>= 7.0.50), python-support, python-all-dev, libevent-dev (>= 1.4),
                python-greenlet | python-codespeak-lib (<< 1.0), python-sphinx (>= 0.6),
-               cython (>= 0.12)
-Standards-Version: 3.8.4
+               python-all-dbg
+Standards-Version: 3.9.0
 Section: python
 Homepage: http://www.gevent.org/
 
 Package: python-gevent-dbg
 Section: debug
 Architecture: any
-Depends: ${misc:Depends}, python-gevent (= ${binary:Version})
+Depends: ${misc:Depends}, python-gevent (= ${binary:Version}), ${shlibs:Depends}, ${python:Depends},
+ python-greenlet-dbg
 Description: gevent is a coroutine-based Python networking library - debugging symbols
  gevent uses greenlet to provide a high-level synchronous API on top of
  libevent event loop.
@@ -22,7 +23,7 @@
 Package: python-gevent-doc
 Section: doc
 Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, libjs-jquery
 Priority: optional
 Description: gevent is a coroutine-based Python networking library - documentation
  gevent uses greenlet to provide a high-level synchronous API on top of

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh  $@

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=.. make --directory doc/ html

override_dh_auto_clean:
	dh_auto_clean
	rm -f gevent/*.so
	cd doc && make clean
	rm -f doc/changelog.rst

override_dh_compress:
	dh_compress -X.js -X_static/* -X _sources/* -X_sources/*/* -X.inv

override_dh_strip:
ifeq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
	dh_strip --dbg-package=python-gevent-dbg
	mv debian/python-gevent-dbg/usr/lib/debug/usr/lib/pyshared \
		debian/python-gevent-dbg/usr/lib/debug/usr/lib/pymodules
endif

override_dh_installdocs:
	dh_installdocs --link-doc=python-gevent

.PHONY: override_dh_auto_build override_dh_auto_clean override_dh_compress override_dh_strip override_dh_installdocs

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/g/gevent/gevent-(.*)\.tar\.gz

## python-gevent 0.13.7

=== debian/changelog ===
python-gevent (0.13.7-4) unstable; urgency=low

  * Last bits of -dbg package fix (closes: #703611).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sun, 24 Mar 2013 01:18:51 +0100

python-gevent (0.13.7-3) unstable; urgency=low

  * Build standard documentation.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Fri, 22 Mar 2013 17:05:07 +0100

python-gevent (0.13.7-2) unstable; urgency=low

  * Fix -dbg package (closes: #703611).
  * Use offline intersphinx inventory instead of download it.
  * Remove unneeded python-support from build dependencies (closes: #703625).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Fri, 22 Mar 2013 09:34:15 +0000

python-gevent (0.13.7-1) unstable; urgency=low

  * New upstream release.
  * New maintainer.
  * Fix all packaging problems (closes: #703187, #703368).
  * Switch to dh_python2 (closes: #654272).
  * Update Standards-Version to 3.9.4 .

  [ Bart Martens <bartm@debian.org> ]
  * Update debian/watch .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Thu, 21 Mar 2013 00:39:38 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: python-gevent
 Priority: extra
-Maintainer: Örjan Persson <orange@fobie.net>
-Uploaders: Andreas Schuldei <andreas@debian.org>
-Build-Depends: debhelper (>= 7.0.50), python-support, python-all-dev, libevent-dev (>= 1.4),
-               python-greenlet | python-codespeak-lib (<< 1.0), python-sphinx (>= 0.6),
+Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.hu>
+Build-Depends: dpkg-dev (>= 1.16.1~), debhelper (>= 7.0.50), python-all-dev, libevent-dev (>= 1.4),
+               python-greenlet | python-codespeak-lib (<< 1.0), python-sphinx (>= 1.0.7+dfsg),
                python-all-dbg
-Standards-Version: 3.9.0
+Standards-Version: 3.9.4
 Section: python
 Homepage: http://www.gevent.org/
 
@@ -23,7 +22,7 @@
 Package: python-gevent-doc
 Section: doc
 Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends}, libjs-jquery
+Depends: ${shlibs:Depends}, ${misc:Depends}, libjs-jquery, libjs-underscore
 Priority: optional
 Description: gevent is a coroutine-based Python networking library - documentation
  gevent uses greenlet to provide a high-level synchronous API on top of

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# TODO: check FTBFS if hardening is enabled
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all
#DPKG_EXPORT_BUILDFLAGS = 1
#include /usr/share/dpkg/buildflags.mk

%:
	dh  $@ --with python2

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=.. make --directory doc/ html

override_dh_auto_clean:
	dh_auto_clean
	rm -f gevent/*.so
	cd doc && make clean
	rm -f $(CURDIR)/doc/gevent.*.rst $(CURDIR)/doc/changelog.rst
	rm -f $(CURDIR)/gevent.egg-info/PKG-INFO \
		$(CURDIR)/gevent.egg-info/SOURCES.txt
	rm -f $(CURDIR)/greentest/testresults.sqlite3

override_dh_compress:
	dh_compress -X.js -X_static/* -X _sources/* -X_sources/*/* -X.inv

override_dh_strip:
ifeq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
	dh_strip -p python-gevent --dbg-package=python-gevent-dbg
endif

# TODO: check for failures
#override_dh_auto_test:
#	cd $(CURDIR)/greentest && PYTHONPATH=.. ./testrunner.py --no-db

override_dh_installdocs:
	dh_installdocs --link-doc=python-gevent

.PHONY: override_dh_auto_build override_dh_auto_clean override_dh_compress override_dh_strip override_dh_installdocs

=== debian/watch ===
version=3
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)\d*)$/$1~$2/,dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$// \
https://github.com/SiteSupport/gevent/tags .*/v?(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
# Bart Martens <bartm@debian.org>  Wed, 06 Mar 2013 05:05:51 +0000

## python-gevent 1.0~b1

=== debian/changelog ===
python-gevent (1.0~b1-1) experimental; urgency=low

  * New upstream version.

 -- Örjan Persson <orange@fobie.net>  Mon, 16 Jan 2012 22:02:48 +0100

python-gevent (1.0~a3-1) experimental; urgency=low

  * New upstream version.

 -- Örjan Persson <orange@fobie.net>  Wed, 26 Oct 2011 21:54:21 +0200

python-gevent (0.13.6-2) unstable; urgency=low

  * Added dependency on libjs-underscore. Thanks to Nick Barkas for patch.
  * Fixed debug package. Thanks to Nick Barkas for patch.

 -- Örjan Persson <orange@fobie.net>  Wed, 19 Oct 2011 20:00:59 +0200

=== debian/control ===
Source: python-gevent
Priority: extra
Maintainer: Örjan Persson <orange@fobie.net>
Uploaders: Andreas Schuldei <andreas@debian.org>
Build-Depends: debhelper (>= 7.0.50), python-support, python-all-dev, python-all-dbg,
 libev-dev, libc-ares-dev, python-greenlet, python-sphinx (>= 0.6)
Standards-Version: 3.9.2
Section: python
Homepage: http://www.gevent.org/

Package: python-gevent-dbg
Section: debug
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-gevent (= ${binary:Version})
Recommends: python-dbg
Description: gevent is a coroutine-based Python networking library - debugging symbols
 gevent uses greenlet to provide a high-level synchronous API on top of the
 libev event loop.
 .
 This is the debugging symbols for gevent.

Package: python-gevent-doc
Section: doc
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, libjs-jquery, libjs-underscore
Priority: optional
Description: gevent is a coroutine-based Python networking library - documentation
 gevent uses greenlet to provide a high-level synchronous API on top of the
 libev event loop.
 .
 This is the documentation for gevent.

Package: python-gevent
Section: python
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-greenlet
Suggests: python-gevent-doc, python-gevent-dbg, python-openssl
Description: gevent is a coroutine-based Python networking library
 gevent uses greenlet to provide a high-level synchronous API on top of the
 libev event loop.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --parallel

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=.. make --directory doc/ html

override_dh_auto_clean:
	dh_auto_clean
	rm -f gevent/*.so
	cd doc && make clean
	rm -f doc/changelog.rst

override_dh_compress:
	dh_compress -X.js -X_static/* -X _sources/* -X_sources/*/* -X.inv

override_dh_strip:
ifeq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
	dh_strip --dbg-package=python-gevent-dbg
	cd debian/python-gevent-dbg/usr/lib/debug/usr/lib && mv pyshared pymodules
endif

override_dh_installdocs:
	dh_installdocs --link-doc=python-gevent

.PHONY: override_dh_auto_build override_dh_auto_clean override_dh_compress override_dh_strip override_dh_installdocs

## python-gevent 1.0

=== debian/changelog ===
python-gevent (1.0-1ubuntu1.1) trusty-proposed; urgency=medium

  * SRU: LP: #1423675
  * Fix build failure with python2.7 and PEP 466.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 12 Dec 2015 14:34:10 +0100

python-gevent (1.0-1ubuntu1) trusty; urgency=medium

  * Fix build failure on arm64.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 20 Mar 2014 08:32:47 +0100

python-gevent (1.0-1build1) trusty; urgency=medium

  * Rebuild to drop files installed into /usr/share/pyshared.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 23 Feb 2014 13:51:43 +0000

python-gevent (1.0-1) unstable; urgency=low

  * New upstream release (closes: #733600).
  * Update Standards-Version to 3.9.5 .

  [ Bart Martens <bartm@debian.org> ]
  * Update watch file.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 01 Feb 2014 20:58:30 +0100

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# TODO: check FTBFS if hardening is enabled
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all
#DPKG_EXPORT_BUILDFLAGS = 1
#include /usr/share/dpkg/buildflags.mk

%:
	dh  $@ --parallel --with autotools_dev,python2

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=.. make --directory doc/ html

override_dh_auto_clean:
	dh_auto_clean
	rm -f $(CURDIR)/gevent/*.so
	cd doc && make clean
	rm -f $(CURDIR)/doc/gevent.*.rst $(CURDIR)/doc/changelog.rst
	rm -rf $(CURDIR)/gevent.egg-info/
	rm -f $(CURDIR)/greentest/testresults.sqlite3

override_dh_compress:
	dh_compress -X.js -X_static/* -X _sources/* -X_sources/*/* -X.inv

override_dh_strip:
ifeq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
	dh_strip -p python-gevent --dbg-package=python-gevent-dbg
endif

# TODO: check for failures
#override_dh_auto_test:
#	cd $(CURDIR)/greentest && PYTHONPATH=.. ./testrunner.py --no-db

override_dh_installdocs:
	dh_installdocs --link-doc=python-gevent

.PHONY: override_dh_auto_build override_dh_auto_clean override_dh_compress \
	override_dh_strip override_dh_installdocs

=== debian/watch ===
version=3
opts=uversionmangle=s/(\d)[\.\-]?((?:rc|RC|pre)\.?\d+(?:-\d+)?)$/$1~$2/;s/^((?:\d+\.)*\d+)([ab]\d*)$/$1~$2/ \
https://github.com/surfly/gevent/tags \
.*/archive/(?:upstream/)?(?:v||version-|release-|X|R)(\d\S*)\.tar\.gz

## python-gevent 1.0.1

=== debian/changelog ===
python-gevent (1.0.1-2) unstable; urgency=medium

  * Add dh-python to Build-Depends.

  [ Jan Gerber <j@mailb.org> ]
  * Use PROTOCOL_SSLv23 instead of PROTOCOL_SSLv3 (closes: #770616).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 13 Dec 2014 05:54:50 +0000

python-gevent (1.0.1-1) unstable; urgency=low

  * New upstream release, fixes thread switch detection (closes: #694750).
  * Fix sphinx build problem (closes: #700731).
  * Tighten greenlet dependency (closes: #747283).
  * Update Standards-Version to 3.9.6 .
  * Sync with Ubuntu.

  [ Matthias Klose <doko@ubuntu.com> ]
  * Fix build failure with python2.7 and PEP 466 (closes: #764499).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 08 Oct 2014 16:20:29 +0000

python-gevent (1.0-2) unstable; urgency=low

  * Sync with Ubuntu, thanks to Sebastian Ramacher for the heads-up.

  [ Matthias Klose <doko@ubuntu.com> ]
  * Fix build failure on arm64 (closes: #738750).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 26 Apr 2014 17:58:50 +0200

=== debian/control ===
Source: python-gevent
Priority: extra
Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
Build-Depends: debhelper (>= 9), dh-python, autotools-dev, python-all-dev,
 libevent-dev (>= 1.4), python-greenlet | python-codespeak-lib (<< 1.0),
 python-sphinx (>= 1.0.7+dfsg), python-all-dbg
Standards-Version: 3.9.6
Section: python
Homepage: http://www.gevent.org/

Package: python-gevent-dbg
Section: debug
Architecture: any
Depends: ${misc:Depends}, python-gevent (= ${binary:Version}), ${shlibs:Depends}, ${python:Depends},
 python-greenlet-dbg
Description: gevent is a coroutine-based Python networking library - debugging symbols
 gevent uses greenlet to provide a high-level synchronous API on top of
 libevent event loop.
 .
 This is the debugging symbols for gevent.

Package: python-gevent-doc
Section: doc
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, libjs-jquery, libjs-underscore
Priority: optional
Description: gevent is a coroutine-based Python networking library - documentation
 gevent uses greenlet to provide a high-level synchronous API on top of
 libevent event loop.
 .
 This is the documentation for gevent.

Package: python-gevent
Section: python
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-greenlet (>= 0.3.2) | python-codespeak-lib (<< 1.0)
Suggests: python-gevent-doc, python-gevent-dbg, python-openssl
Description: gevent is a coroutine-based Python networking library
 gevent uses greenlet to provide a high-level synchronous API on top of
 libevent event loop.

## python-gevent 1.1~b1

=== debian/changelog ===
python-gevent (1.1~b1-0ubuntu1) wily; urgency=medium

  * New upstream version 1.1b1.
  * Build python3 packages.
  * Remove the python3 compat files in python-gevent.
  * Remove the python2 compat files in python3-gevent.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 27 Jul 2015 15:03:46 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,9 @@
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Build-Depends: debhelper (>= 9), dh-python, autotools-dev, python-all-dev,
  libevent-dev (>= 1.4), python-greenlet | python-codespeak-lib (<< 1.0),
- python-sphinx (>= 1.0.7+dfsg), python-all-dbg
+ python-sphinx (>= 1.0.7+dfsg), python-all-dbg,
+ python-greenlet-dbg, python3-greenlet-dbg,
+ python3-all-dev, python3-all-dbg, python3-greenlet
 Standards-Version: 3.9.6
 Section: python
 Homepage: http://www.gevent.org/
@@ -38,3 +40,23 @@
 Description: gevent is a coroutine-based Python networking library
  gevent uses greenlet to provide a high-level synchronous API on top of
  libevent event loop.
+
+Package: python3-gevent
+Section: python
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}, python3-greenlet
+Suggests: python-gevent-doc, python3-gevent-dbg, python3-openssl
+Description: gevent is a coroutine-based Python networking library
+ gevent uses greenlet to provide a high-level synchronous API on top of
+ libevent event loop.
+
+Package: python3-gevent-dbg
+Section: debug
+Architecture: any
+Depends: ${misc:Depends}, python3-gevent (= ${binary:Version}), ${shlibs:Depends}, ${python3:Depends},
+ python3-greenlet-dbg
+Description: gevent is a coroutine-based Python networking library - debugging symbols
+ gevent uses greenlet to provide a high-level synchronous API on top of
+ libevent event loop.
+ .
+ This is the debugging symbols for gevent.

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,8 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+export SHELL = /bin/bash
 
 # TODO: check FTBFS if hardening is enabled
 #export DEB_BUILD_MAINT_OPTIONS = hardening=+all
@@ -10,7 +12,7 @@
 #include /usr/share/dpkg/buildflags.mk
 
 %:
-	dh  $@ --parallel --with autotools_dev,python2
+	dh  $@ --parallel --with autotools_dev,python2,python3 --buildsystem=pybuild
 
 override_dh_auto_build:
 	dh_auto_build
@@ -24,12 +26,19 @@
 	rm -rf $(CURDIR)/gevent.egg-info/
 	rm -f $(CURDIR)/greentest/testresults.sqlite3
 
+override_dh_install:
+	dh_install -O--parallel -O--buildsystem=pybuild
+	: # remove the compat stuff for 2/3
+	rm -v -f debian/python-gevent/usr/lib/python2.7/dist-packages/gevent/_{util_py,ssl,fileobject,socket}3*
+	rm -v -f debian/python3-gevent/usr/lib/python3*/dist-packages/gevent/_{util_py,ssl,fileobject,socket}2*
+
 override_dh_compress:
 	dh_compress -X.js -X_static/* -X _sources/* -X_sources/*/* -X.inv
 
 override_dh_strip:
 ifeq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
 	dh_strip -p python-gevent --dbg-package=python-gevent-dbg
+	dh_strip -p python3-gevent --dbg-package=python3-gevent-dbg
 endif
 
 # TODO: check for failures
@@ -37,7 +46,9 @@
 #	cd $(CURDIR)/greentest && PYTHONPATH=.. ./testrunner.py --no-db
 
 override_dh_installdocs:
-	dh_installdocs --link-doc=python-gevent
+	dh_installdocs -Npython-gevent-dbg -Npython3-gevent-dbg
+	dh_installdocs -ppython-gevent-dbg --link-doc=python-gevent
+	dh_installdocs -ppython3-gevent-dbg --link-doc=python3-gevent
 
 .PHONY: override_dh_auto_build override_dh_auto_clean override_dh_compress \
 	override_dh_strip override_dh_installdocs

## python-gevent 1.1.0

=== debian/changelog ===
python-gevent (1.1.0-2) unstable; urgency=low

  * Only alter documentation when it's built (closes: #817274).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 09 Mar 2016 18:42:57 +0100

python-gevent (1.1.0-1) unstable; urgency=low

  * New upstream release (closes: #816972).
  * Build Python 3 packages (closes: #661510, #793809).
  * Remove patches that no longer needed.
  * Keep rebuildable.
  * Use X-Python-Version instead of pyversions.
  * Update Standards-Version to 3.9.7 .
  * Sync with Ubuntu.

  [ Matthias Klose <doko@ubuntu.com> ]
  * Remove the python3 compat files in python-gevent.
  * Remove the python2 compat files in python3-gevent.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 08 Mar 2016 14:54:39 +0100

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,11 @@
  python-sphinx (>= 1.0.7+dfsg), python-all-dbg,
  python-greenlet-dbg, python3-greenlet-dbg,
  python3-all-dev, python3-all-dbg, python3-greenlet
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Section: python
 Homepage: http://www.gevent.org/
+X-Python-Version: >= 2.6
+X-Python3-Version: >= 3.3
 
 Package: python-gevent-dbg
 Section: debug

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

export SHELL = /bin/bash

%:
	dh  $@ --parallel --with autotools_dev,python2,python3 --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=.. make --directory doc/ html

override_dh_auto_clean:
	dh_auto_clean
	rm -f $(CURDIR)/gevent/*.so
	cd doc && make clean
	rm -f $(CURDIR)/doc/gevent.*.rst $(CURDIR)/doc/changelog.rst
	rm -rf $(CURDIR)/gevent.egg-info/
	rm -f $(CURDIR)/greentest/testresults.sqlite3
	[ ! -f libev/Makefile ] || (cd $(CURDIR)/libev/ && $(MAKE) distclean)
	rm -f $(CURDIR)/c-ares/ares_config.h $(CURDIR)/c-ares/config.log \
		$(CURDIR)/c-ares/config.status \
		$(CURDIR)/c-ares/stamp-h1 $(CURDIR)/c-ares/stamp-h2

override_dh_install:
	dh_install -O--parallel -O--buildsystem=pybuild --list-missing
	: # remove the compat stuff for 2/3
	rm -v -f debian/python-gevent/usr/lib/python2.7/dist-packages/gevent/_{util_py,ssl,fileobject,socket}3*
	rm -v -f debian/python3-gevent/usr/lib/python3*/dist-packages/gevent/_{util_py,ssl,fileobject,socket}2*

override_dh_compress:
	dh_compress -X.js -X_static/* -X _sources/* -X_sources/*/* -X.inv

override_dh_strip:
ifeq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
	dh_strip -p python-gevent --dbg-package=python-gevent-dbg
	dh_strip -p python3-gevent --dbg-package=python3-gevent-dbg
endif

# TODO: check for failures, but disable for now
override_dh_auto_test:
	chmod +x $(CURDIR)/greentest/testrunner.py
#	cd $(CURDIR)/greentest && PYTHONPATH=.. ./testrunner.py

override_dh_installdocs-arch:
	dh_installdocs -Npython-gevent-dbg -Npython3-gevent-dbg
	dh_installdocs -ppython-gevent-dbg --link-doc=python-gevent
	dh_installdocs -ppython3-gevent-dbg --link-doc=python3-gevent

override_dh_installdocs-indep:
	dh_installdocs -i
	# remove privacy tracking links
	sed -i 's|http.*/btn_donateCC_LG.gif||' \
		debian/python-gevent-doc/usr/share/doc/python-gevent-doc/html/sfc.html
	sed -i 's|http.*/pixel.gif||' \
		debian/python-gevent-doc/usr/share/doc/python-gevent-doc/html/sfc.html

override_dh_installexamples-indep:
	dh_installexamples -i
	# remove privacy tracking links
	sed -i 's|http.*/jquery.min.js|file://usr/share/javascript/jquery/jquery.min.js|' \
		debian/python-gevent-doc/usr/share/doc/python-gevent-doc/examples/webchat/templates/index.html


.PHONY: override_dh_auto_build override_dh_auto_clean override_dh_install \
	override_dh_compress override_dh_strip override_dh_auto_test \
	override_dh_installdocs-arch override_dh_installdocs-indep \
	override_dh_installexamples-indep

## python-gevent 1.1.1

=== debian/changelog ===
python-gevent (1.1.1-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports. Closes: #805615, #791476, #766867
    + Drop debian/patches/fix_Sphinx_FTBFS.patch, jessie has sphinx < 1.4

 -- Filippo Giunchedi <filippo@debian.org>  Mon, 12 Sep 2016 19:17:48 +0100

python-gevent (1.1.1-2) unstable; urgency=low

  * Fix FTBFS with Sphinx 1.4+ (closes: #829414).
  * Add libev and c-ares devel packages to build depends.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 16 Jul 2016 06:44:47 +0000

python-gevent (1.1.1-1) unstable; urgency=low

  * New upstream release.
  * Update Standards-Version to 3.9.8 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 27 Apr 2016 17:25:28 +0000

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # -*- makefile -*-
 
 # Uncomment this to turn on verbose mode.
-export DH_VERBOSE=1
+#export DH_VERBOSE=1
 
 export SHELL = /bin/bash

## python-gevent 1.1.2

=== debian/changelog ===
python-gevent (1.1.2-1) unstable; urgency=low

  * New upstream release.
  * Remove more Twitter privacy breaches from documentation.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 26 Nov 2016 21:00:12 +0000

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,9 @@
  libevent-dev (>= 1.4), python-greenlet | python-codespeak-lib (<< 1.0),
  python-sphinx (>= 1.0.7+dfsg), python-all-dbg,
  python-greenlet-dbg, python3-greenlet-dbg,
- python3-all-dev, python3-all-dbg, python3-greenlet
-Standards-Version: 3.9.7
+ python3-all-dev, python3-all-dbg, python3-greenlet,
+ libev-dev, libc-ares-dev
+Standards-Version: 3.9.8
 Section: python
 Homepage: http://www.gevent.org/
 X-Python-Version: >= 2.6

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,8 @@
 #export DH_VERBOSE=1
 
 export SHELL = /bin/bash
+
+DOCDIR:=$(CURDIR)/debian/python-gevent-doc/usr/share/doc/python-gevent-doc
 
 %:
 	dh  $@ --parallel --with autotools_dev,python2,python3 --buildsystem=pybuild
@@ -54,9 +56,13 @@
 	dh_installdocs -i
 	# remove privacy tracking links
 	sed -i 's|http.*/btn_donateCC_LG.gif||' \
-		debian/python-gevent-doc/usr/share/doc/python-gevent-doc/html/sfc.html
+		$(DOCDIR)/html/sfc.html
 	sed -i 's|http.*/pixel.gif||' \
-		debian/python-gevent-doc/usr/share/doc/python-gevent-doc/html/sfc.html
+		$(DOCDIR)/html/sfc.html
+	sed -i 's|<a .\+twitter.com.\+>\(.\+\)</a>|\1|' \
+		$(DOCDIR)/html/index.html
+	sed -i 's|<script>.\+platform.twitter.com.\+</script>||' \
+		$(DOCDIR)/html/index.html
 
 override_dh_installexamples-indep:
 	dh_installexamples -i
